Summary: GCC output colorizer
Name: colorgcc
Version: 1.4.5
Release: %mkrel 6
Source0: https://github.com/colorgcc/colorgcc/archive/%{version}.tar.gz
Patch0: colorgcc-1.4.5-mgaconf.patch
Patch1: colorgcc-1.4.5-handle-translated-output.patch
License: GPL
Group: Development/C
Url: https://www.schlueters.de/colorgcc.html
Requires: gcc
Provides: gcc-colorgcc <= 4.2.1
BuildArch: noarch

%description
ColorGCC is a Perl wrapper to colorize the output of compilers with
warning and error messages matching the GCC output format.

This package is configured to run with the associated system compiler. If you
want to use it for another compiler (e.g. gcc 2.96), you may have to define
gccVersion: 2.96 and uncomment the respective compiler paths in
%{_sysconfdir}/colorgccrc for a system-wide effect, or in ~/.colorgccrc for
your user only.

%prep
%setup -q
mv ./colorgccrc.txt ./colorgccrc
%patch -P 0 -p1 -b .mgaconf
%patch -P 1 -p1 -b .i18n

cat <<'EOF' > colorgcc.sh
case ":${PATH}:" in
    :: )
	PATH=%{_datadir}/%{name}
	export PATH
    ;;
    *:%{_datadir}/%{name}:* )
	: Already set
    ;;
    * )
	PATH=%{_datadir}/%{name}:$PATH
	export PATH
    ;;
esac
EOF

cat <<'EOF' > colorgcc.csh
if ( $?PATH ) then
    switch (:${PATH}:)
	case *":%{_datadir}/%{name}:"* :
		breaksw
	default :
		setenv PATH %{_datadir}/%{name}:$PATH
		breaksw
	endsw
else
   setenv PATH %{_datadir}/%{name}
endif
EOF

%build

%install
install -D -m 755 colorgcc.pl  %{buildroot}%{_bindir}/colorgcc
install -D -m 644 colorgccrc   %{buildroot}%{_sysconfdir}/colorgccrc
install -D -m 644 colorgcc.sh  %{buildroot}%{_sysconfdir}/profile.d/20colorgcc.sh
install -D -m 644 colorgcc.csh %{buildroot}%{_sysconfdir}/profile.d/20colorgcc.csh
# nb: prefixing colorgcc.sh by "20" so that it is sourced before 80icecream.sh

install -d %{buildroot}%{_datadir}/%{name}
ln -s ../../bin/colorgcc %{buildroot}%{_datadir}/%{name}/colorgcc
for i in gcc cc g++ c++ ccache gfortran g77 f77 gcj; do
    ln -s colorgcc %{buildroot}%{_datadir}/%{name}/$i
done

%files
%doc README
%config(noreplace) %{_sysconfdir}/colorgccrc
%{_sysconfdir}/profile.d/*
%{_bindir}/colorgcc
%{_datadir}/colorgcc/


%changelog
* Sat Dec 21 2024 pterjan <pterjan> 1.4.5-6.mga10
+ Revision: 2127148
- Rebuild for patchN deprecation

* Mon Mar 21 2022 umeabot <umeabot> 1.4.5-5.mga9
+ Revision: 1811254
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.4.5-4.mga8
+ Revision: 1522165
- Mageia 8 Mass Rebuild

* Wed Jan 23 2019 luigiwalser <luigiwalser> 1.4.5-3.mga7
+ Revision: 1359752
- implement patch2 fix in patch0

* Tue Jan 22 2019 shlomif <shlomif> 1.4.5-2.mga7
+ Revision: 1359484
- fix broken code due to strict.pm ( MGA#24223 )

* Tue Jan 22 2019 luigiwalser <luigiwalser> 1.4.5-1.mga7
+ Revision: 1359152
- 1.4.5
- rediff patches

* Tue Sep 18 2018 umeabot <umeabot> 1.3.2-18.mga7
+ Revision: 1260335
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.3.2-17.mga6
+ Revision: 938588
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-16.mga5
+ Revision: 742157
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-15.mga5
+ Revision: 678485
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.2-14.mga4
+ Revision: 503462
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.3.2-13.mga3
+ Revision: 348062
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun May 15 2011 pterjan <pterjan> 1.3.2-12.mga1
+ Revision: 98918
- Rebuild for fixed find-requires

* Fri Feb 04 2011 ahmad <ahmad> 1.3.2-11.mga1
+ Revision: 46812
- imported package colorgcc

